import AppLayout from './components/Layout/index';
import ListLayout from './components/ListLayout/index';
import SidebarNav from './components/Sidebar/index';
import MdPagination from './components/Pagination/index';
import SearchItem from './components/SearchItem/index';
import DatePicker from './components/DatePicker/index';
import DateRangePicker from './components/DateRangePicker/index';
import { Option } from 'element-ui';

const install = Vue => {
  // Layout
  Vue.component(AppLayout.name, AppLayout);
  Vue.component(ListLayout.name, ListLayout);
  Vue.component(SearchItem.name, SearchItem);
  // 基础组件
  Vue.component(SidebarNav.name, SidebarNav);
  Vue.component(MdPagination.name, MdPagination);
  // Element-ui
  Vue.component(Option.name, Option);
  // input
  Vue.component(DatePicker.name, DatePicker);
  Vue.component(DateRangePicker.name, DateRangePicker);
};

// module.exports = rymUi;
// module.exports.default = module.exports = rymUi;
export default {
  install,
};
